#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

%define major 3
%define ff_epoch 0
# (tpg) set version HERE !!!
%define realver %{major}.6.12
%define xulrunner_version 1.9.2.12
# (tpg) MOZILLA_FIVE_HOME
%define mozillalibdir %{_libdir}/%{name}-%{realver}
%define pluginsdir %{_libdir}/mozilla/plugins

# libxul.so is provided by libxulrunnner1.9.
%define _requires_exceptions libxul.so

# this seems fragile, so require the exact version or later (#58754)
%define sqlite3_version %(pkg-config --modversion sqlite3 &>/dev/null && pkg-config --modversion sqlite3 2>/dev/null || echo 0)

%if %mdkversion >= 200900
%define _use_syshunspell 1
%else
%define _use_syshunspell 0
%endif

%if %mandriva_branch == Cooker
# Cooker
%define release %mkrel 1
%else
# Old distros
%define release %mkrel 1
%endif

Summary:	Next generation web browser
Name:		firefox
Version:	%{realver}
Epoch:		%{ff_epoch}
Release:	%{release}
License:	MPLv1+
Group:		Networking/WWW
Url:		http://www.mozilla.org/
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/%{name}/releases/%{realver}/source/%{name}-%{realver}.source.tar.bz2
Source1:	%{SOURCE0}.asc
Source4:	%{name}.desktop
Source5:	firefox-searchengines-jamendo.xml
Source6:	firefox-searchengines-exalead.xml
Source7:	firefox-rebuild-databases.pl.in.generatechrome
Source8:	firefox-searchengines-askcom.xml
Source9:	kde.js
Patch1:		mozilla-firefox-3.0.5-lang.patch
Patch2:		mozilla-firefox-3.0.5-vendor.patch
Patch3:		mozilla-firefox-1.5.0.6-systemproxy.patch
Patch4:		firefox-3.0b3-homepage.patch
Patch5:		firefox-3.0b3-check-default-browser.patch
Patch6:		mozilla-firefox-run-mozilla.patch
Patch14:	mozilla-firefox-1.5-software-update.patch
#Patch15:	firefox-3.0.1-disable-classic-theme.patch
Patch16:	firefox-3.5.3-default-mail-handler.patch
Patch17:	firefox-kde.patch
# (OpenSuse) add patch to make firefox always use /usr/bin/firefox when "make firefox
# the default web browser" is used fix mdv bug#58784
Patch18:	firefox-3.6.3-appname.patch
BuildRequires:	gtk+2-devel
BuildRequires:	libx11-devel
BuildRequires:	unzip
BuildRequires:	zip
#(tpg) older versions doesn't support apng extension
%if %mdkversion >= 200900
BuildRequires:	libpng-devel >= 1.2.25-2
%endif
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	glib2-devel
BuildRequires:	libIDL2-devel
BuildRequires:	makedepend
BuildRequires:	nss-devel >= 2:3.12.8
BuildRequires:	nspr-devel >= 2:4.8.6
BuildRequires:	startup-notification-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	python-devel
# (fhimpe) Starting from Firefox 3.0.1, at least sqlite 3.5.9 is needed
# so only use system sqlite on Mandriva >= 2009.0
# (eugeni) Starting from Firefox 3.0.11, at least sqlite 3.6.7 is required
%if %mdkversion >= 200800
Requires:	%{mklibname sqlite3_ 0} >= %{sqlite3_version}
BuildRequires:	libsqlite3-devel >= 3.7.1
%endif
BuildRequires:	valgrind
BuildRequires:	rootcerts
BuildRequires:	libxt-devel
%if %_use_syshunspell
BuildRequires:	hunspell-devel
%endif
BuildRequires:	doxygen
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
%if %mdkversion >= 200900
BuildRequires:	java-rpmbuild
%endif
%if %mdkversion < 200900
BuildRequires:	java-1.5.0-devel
%endif
BuildRequires:  xulrunner-devel >= %xulrunner_version
BuildRequires:	wget
BuildRequires:	libnotify-devel
%if %mdkversion >= 201000
BuildRequires:	cairo-devel >= 1.8.8
%endif
Provides:	webclient
Requires:	indexhtml
Requires:       xdg-utils
%define ff_deps myspell-en_US nspluginwrapper
%if %mdkversion >= 200810
Suggests:	%{ff_deps}
%else
Requires:	%{ff_deps}
%endif
Requires(post):	desktop-file-utils
Requires(postun):	desktop-file-utils
# fixes bug #42096
Requires:	mailcap
# ff3 now provides /usr/bin/firefox and mozilla-firefox
Conflicts:	mozilla-firefox < 2.0.0.16-2
Obsoletes:	mozilla-firefox-gnome-support
Obsoletes:	mozilla-firefox < 3.0
Provides:	mozilla-firefox = %{epoch}:%{version}-%{release}
Obsoletes:	mozilla-firefox-theme-gnome
Obsoletes:	mozilla-firefox-theme-kdeff <= 0.4
# since 3.0.1-2 we do not have ff libification anymore
Obsoletes:	%{mklibname firefox 3} < 3.0.1-2
# (salem) while we dont have a better solution, we need to obsolete them all
Obsoletes:	%mklibname mozilla-firefox 2.0.0.1
Obsoletes:	%mklibname mozilla-firefox 2.0.0.3
Obsoletes:	%mklibname mozilla-firefox 2.0.0.4
Obsoletes:	%mklibname mozilla-firefox 2.0.0.6
Obsoletes:	%mklibname mozilla-firefox 2.0.0.8
Obsoletes:	%mklibname mozilla-firefox 2.0.0.11
Obsoletes:	%mklibname mozilla-firefox 2.0.0.12
Obsoletes:	%mklibname mozilla-firefox 2.0.0.13
Obsoletes:	%mklibname mozilla-firefox 2.0.0.14
Obsoletes:	%mklibname mozilla-firefox 2.0.0.15
Obsoletes:	%mklibname mozilla-firefox 2.0.0.16
Obsoletes:	%mklibname mozilla-firefox 2.0.0.17
Obsoletes:	%mklibname mozilla-firefox 2.0.0.18
Obsoletes:	%mklibname mozilla-firefox 2.0.0.19
Requires:	xulrunner >= %{xulrunner_version}
Requires:	%{mklibname xulrunner %xulrunner_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The award-winning Web browser is now faster, more secure, and fully customizable 
to your online life. With Firefox(R) 3, we've added powerful new features that 
make your online experience even better. It is an 'open source' product which is 
freely available, and is acquiring a growing proportion of international web 
browser usage.

Firefox claims to offer a more secure web browsing experience than other products, 
with better protection against spyware and other Internet-based security threats. 
It includes all the standard features of a modern web browser, like Internet 
searching, tracking recently visited sites, setting up shortcuts to favourite 
sites, customising the software behaviour and so on. Firefox also includes 
features like 'tabbed browsing' (opening several web sites as sections within the 
same window) and methods for controlling pop-up windows, cookies and downloaded 
files.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other

%description	devel
Files and macros mainly for building Firefox extensions.

%prep
%setup -qn mozilla-1.9.2
#%patch1 -p1 -b .lang rediff
%patch2 -p1 -b .vendor
# Temporary disabled. It prevents firefox from running. 
#%patch3 -p1
%patch4 -p1 -b .homepage
%patch5 -p1 -b .defaultbrowser
# It was disabled because firefox3 hangs when using soundwrapper
#%patch6 -p1
#%patch14 -p1 -b .disable-software-update rediff
# (salem)	this patch does not work properly on ff3.
#%patch15 -p1 -b .disable-classic-theme
%patch16 -p1 -b .default-mail-handler
## KDE INTEGRATION
# copy current files and patch them later to keep them in sync
%patch17 -p1
# install kde.js
install -m 644 %{SOURCE9} browser/app/profile/kde.js
%patch18 -p1 -b .appname
# (tpg) remove ff bookmarks, to use mdv ones
rm -rf browser/locales/en-US/profile/bookmarks.html
touch browser/locales/en-US/profile/bookmarks.html

# needed to regenerate certdata.c
pushd security/nss/lib/ckfw/builtins
perl ./certdata.perl < /etc/pki/tls/mozilla/certdata.txt
popd

%build
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1
%if %mdkversion >= 200900
%setup_compile_flags
%else
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
%endif
%serverbuild
export PREFIX="%{_prefix}"
export LIBDIR="%{_libdir}"
export MOZILLA_OFFICIAL=1
export BUILD_OFFICIAL=1

# (tpg) don't use macro here
# (fhimpe) javaxpcom does not build correctly with xulrunner (is it
# actually needed/useful here when enabled already in xulrunner?)
# https://bugzilla.mozilla.org/show_bug.cgi?id=448386
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--datadir=%{_datadir} \
	--enable-application=browser \
	--with-pthreads \
	--with-system-jpeg \
	--with-system-zlib \
	--with-system-bz2 \
%if %mdkversion >= 200900
	--enable-system-png \
%else
	--disable-system-png \
%endif
	--with-system-nspr \
	--with-system-nss \
	--disable-ldap \
	--disable-calendar \
	--disable-mailnews \
	--disable-chatzilla \
	--disable-composer \
	--disable-profilesharing \
	--disable-toolkit-qt \
	--disable-installer \
	--disable-updater \
	--disable-debug \
	--disable-pedantic \
	--disable-native-uconv \
	--disable-elf-dynstr-gc \
	--disable-crashreporter \
	--disable-strip \
	--enable-crypto \
	--enable-gnomevfs \
	--enable-gnomeui \
	--enable-places \
	--enable-storage \
	--enable-default-toolkit=cairo-gtk2 \
	--enable-official-branding \
	--enable-svg \
	--enable-svg-renderer=cairo \
	--enable-single-profile \
	--enable-startup-notification \
%if %mdkversion >= 201000
	--enable-system-cairo \
%else
	--disable-system-cairo \
%endif
	--enable-reorder \
	--enable-optimize \
	--enable-safe-browsing \
	--enable-xinerama \
	--enable-canvas \
	--enable-pango \
	--enable-xft \
	--enable-image-encoder=all \
	--enable-image-decoders=all \
	--enable-extensions=default \
%if %_use_syshunspell
	--enable-system-hunspell \
%endif
	--enable-install-strip \
	--enable-url-classifier \
	--disable-faststart \
	--enable-smil \
	--disable-tree-freetype \
	--disable-canvas3d \
	--disable-coretext \
	--enable-necko-protocols=all \
	--disable-necko-wifi \
	--disable-tests \
	--disable-mochitest \
	--with-distribution-id=com.mandriva \
	--with-valgrind \
	--enable-jemalloc \
%if %mdkversion >= 200800
	--enable-system-sqlite \
%else
	--disable-system-sqlite \
%endif
	--with-system-libxul \
        --with-libxul-sdk=`pkg-config --variable=sdkdir libxul` \
	--with-java-include-path=%{java_home}/include \
	--with-java-bin-path=%{java_home}/bin \
	--with-default-mozilla-five-home="%{mozillalibdir}"

%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

ln -s firefox %{buildroot}%{_bindir}/mozilla-firefox
sed -i "s,@LIBDIR@,%{_libdir}," %{buildroot}%{mozillalibdir}/%{name}

# Create an own %_libdir/mozilla/plugins
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla/plugins

# (tpg) desktop entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop

# (tpg) icons
%{__cp} other-licenses/branding/%{name}/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 22 24 32 48 256; do
%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
%{__cp} other-licenses/branding/%{name}/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/firefox.png ;
done

cat << EOF >> %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
user_pref("browser.search.selectedEngine","Ask.com");
user_pref("browser.search.order.1","Ask.com");
user_pref("browser.search.order.2","Exalead");
user_pref("browser.search.order.3","Google");
user_pref("browser.search.order.4","Yahoo");
user_pref("browser.EULA.override", true);
user_pref("browser.shell.checkDefaultBrowser", false);
user_pref("browser.startup.homepage", "file:///usr/share/doc/HTML/index.html");
user_pref("browser.ctrlTab.previews", true);
user_pref("browser.tabs.insertRelatedAfterCurrent", false);
user_pref("app.update.auto", false);
user_pref("app.update.enabled", false);
user_pref("app.update.autoInstallEnabled", false);
user_pref("security.ssl.require_safe_negotiation", false);
EOF

# search engines
cp -f %{SOURCE5} %{buildroot}%{mozillalibdir}/searchplugins/jamendo.xml
cp -f %{SOURCE6} %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
cp -f %{SOURCE8} %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml

%if %mdkversion == 200900
sed -i 's/@DISTRO_VALUE@/101490/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
sed -i 's/@DISTRO_VALUE@/MDV20090/' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
%else
%if %mdkversion == 200810
sed -i 's/@DISTRO_VALUE@/1681/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
sed -i 's/@DISTRO_VALUE@/MDV20081/' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
%else
%if %mdkversion == 200800
sed -i 's/@DISTRO_VALUE@/1680/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
sed -i 's/@DISTRO_VALUE@/MDV20080/' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
%else
%if %mdkversion == 200710
sed -i 's/@DISTRO_VALUE@/1655/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
sed -i 's/@DISTRO_VALUE@/MDV20071/' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
%else
%if %mdkversion == 200700
sed -i 's/@DISTRO_VALUE@/101489/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
sed -i 's/@DISTRO_VALUE@/MDV20070/' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
%else
%if %mdkversion == 300
sed -i 's/@DISTRO_VALUE@/101471/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
sed -i 's/@DISTRO_VALUE@/MDVCorp/' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
%else
# default
sed -i 's/@DISTRO_VALUE@/ffx/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
sed -i 's/@DISTRO_VALUE@//' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
%endif #corp
%endif #200700
%endif #200710
%endif #200800
%endif #200810
%endif #200900

#ghost files
touch %{buildroot}%{mozillalibdir}/components/compreg.dat
touch %{buildroot}%{mozillalibdir}/components/xpti.dat

# firefox update tool
cat %{SOURCE7} |\
    sed -e "s|FIREFOX_VERSION|%{realver}|g;s|LIBDIR|%{_libdir}|g"\
    > %{buildroot}%{mozillalibdir}/firefox-rebuild-databases.pl
chmod 755 %{buildroot}%{mozillalibdir}/firefox-rebuild-databases.pl

%find_lang %{name}

mkdir -p %{buildroot}%{_sys_macros_dir}
cat <<FIN >%{buildroot}%{_sys_macros_dir}/%{name}.macros
# Macros from %{name} package
%%firefox_major              %{major}
%%firefox_epoch              %{ff_epoch}
%%firefox_version            %{realver}
%%firefox_mozillapath        %{mozillalibdir}
%%firefox_xulrunner_version  %{xulrunner_version}
%%firefox_pluginsdir         %{pluginsdir}
FIN

%post
%if %mdkversion < 200900
%{update_menus}
%{update_desktop_database}
%endif
unset DISPLAY
%{mozillalibdir}/firefox-rebuild-databases.pl
if [ ! -r /etc/sysconfig/oem ]; then
  case `grep META_CLASS /etc/sysconfig/system` in
    *powerpack) bookmark="mozilla-powerpack.html" ;;
    *desktop) bookmark="mozilla-one.html";;
    *) bookmark="mozilla-download.html";;
  esac
  ln -s -f ../../../../share/mdk/bookmarks/mozilla/$bookmark  %{mozillalibdir}/defaults/profile/bookmarks.html
fi

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/mozilla-firefox
%{_iconsdir}/hicolor/*/apps/*.png
%ghost %{mozillalibdir}/components/compreg.dat
%ghost %{mozillalibdir}/components/xpti.dat
%{_datadir}/applications/*.desktop
%{_libdir}/%{name}-%{realver}*
%dir %{_libdir}/mozilla
%dir %{pluginsdir}

%files devel
%{_sys_macros_dir}/%{name}.macros


%changelog
* Wed Oct 28 2010 Jens Ornot <rpm@mandrivauser.de> 0:3.6.12-1mud2010.1
- 3.6.12

* Fri Oct 22 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.11-0.1mdv2010.1
- 3.6.11
- buildrequires nss-3.12.8
- buildrequires sqlite3-3.7.1+

* Sun Sep 19 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.10-0.1mdv2008.0
- 3.6.10

* Wed Sep 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.9-0.1mdv2008.0
- 3.6.9
- buildrequires nspr-4.8.6

* Fri Aug 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.8-0.1mdv2008.0
- built for updates

* Sat Jul 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.6.8-1mdv2011.0
+ Revision: 558168
- update to new version 3.6.8

  + Frederic Crozat <fcrozat@mandriva.com>
    - revert for cooker / stable

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0:3.6.6-1mdv2010.1
+ Revision: 549343
- Fix release number for cooker / 2010.1

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0:3.6.6-0.1mdv2010.1
+ Revision: 549287
- Release 3.6.6

* Sun Jun 27 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.4-1mdv2010.1
+ Revision: 549245
- sync with MDVSA-2010:125

* Mon May 17 2010 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6.3-10mdv2010.1
+ Revision: 544926
- enable default app path patch

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - add patch from OpenSuse to make firefox always use /usr/bin/firefox when
      "make firefox the default web browser" is used, should fix mdv#58784 (patch is
      disabled at the moment).

* Fri Apr 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-9mdv2010.1
+ Revision: 535414
- actually make that sqlite3 version discovery working...

* Thu Apr 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-8mdv2010.1
+ Revision: 535078
- fix #58754 (firefox 3.6.3 should require latest sqlite)

* Mon Apr 12 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-7mdv2010.1
+ Revision: 533712
- actually use the correct name and major for sqlite3
- bump release
- pull a recent enough sqlite3

* Fri Apr 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-6mdv2010.1
+ Revision: 533450
- re-enable two of the patches (duh!)

* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-5mdv2010.1
+ Revision: 533027
- set security.ssl.require_safe_negotiation to false. there's too many sites that are affected, including https://qa.mandriva.com

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-4mdv2010.1
+ Revision: 532692
- rebuild
- more backport fixes
- adjust deps a bit

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-3mdv2010.1
+ Revision: 532334
- make it backportable to 2008.0

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-2mdv2010.1
+ Revision: 532016
- fix CVE-2009-3555

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0:3.6.3-1mdv2010.1
+ Revision: 531036
- new version 3.6.3

* Tue Mar 23 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.2-1mdv2010.1
+ Revision: 526886
- it really needs nss-3.12.6
- adjust deps
- 3.6.2
- adjust deps
- rather removed more annoyances...
- fix "incorrect" opening of new tabs, revert to 3.5 behaviour

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 0:3.6-1mdv2010.1
+ Revision: 494597
- New version 3.6 final

* Wed Jan 20 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0:3.6-0.rc2.2mdv2010.1
+ Revision: 493941
- Add kde integration patch
- Add kde.js as source.
  This is not used yet but will be to add kde integration into firefox

* Mon Jan 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.6-0.rc2.1mdv2010.1
+ Revision: 493330
- update to new versin 3.6-rc2

* Sat Jan 09 2010 Götz Waschk <waschk@mandriva.org> 0:3.6-0.rc1.1mdv2010.1
+ Revision: 488183
- really fix firefox libdir

  + Ahmad Samir <ahmadsamir@mandriva.org>
    -fix spec

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.6-rc1

* Fri Dec 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6-0.b5.1mdv2010.1
+ Revision: 479897
- firefox 3.6b5
- fix ctrlTab pref in prefs.js

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6-0.b4.2mdv2010.1
+ Revision: 479429
- push 3.6b4 to cooker main/release
- switch to firefox 3.6beta4

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 0:3.5.6-2mdv2010.1
+ Revision: 479174
- bump rel, previous package was eaten by bs

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 0:3.5.6-1mdv2010.1
+ Revision: 479148
- New version 3.5.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0:3.5.5-1mdv2010.1
+ Revision: 460603
- New version 3.5.5

* Mon Oct 26 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 0:3.5.3-2mdv2010.0
+ Revision: 459403
- added a patch setting the proper mailto handler (#44151)

* Tue Sep 15 2009 Funda Wang <fwang@mandriva.org> 0:3.5.3-1mdv2010.0
+ Revision: 441777
- fix wrong use of xulrunner version magic

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.5.3

* Sun Aug 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.5.2-4mdv2010.0
+ Revision: 420216
- update StartupWMClass in firefox.desktop file
- drop firefox.png icon, use shipped within tarball ones
- move icons to %%_iconsdir/hicolor
- use %%xulrunner_version macro
- drop buildrequires on lcms-devel
- do not overrite default optimization flags in --enable-optimize switch

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-3mdv2010.0
+ Revision: 417719
- fixed custom mdv homepage patch (firefox-3.0b3-homepage)

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-2mdv2010.0
+ Revision: 417646
- put the macros in a -devel package, so extensions don't need to require whole firefox

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-1mdv2010.0
+ Revision: 417591
- added macros for building packages requiring firefox
- new version 3.5.2, merged from cooker/firefox/branches/current

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.13-1mdv2010.0
+ Revision: 408633
- Updated firefox to 3.0.13.

* Thu Jul 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.12-1mdv2010.0
+ Revision: 399083
- Updated to FF 3.0.12.

* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.11-2mdv2010.0
+ Revision: 386840
- use %%mandriva_branch again

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated sqlite3 dependencies for Firefox 3.0.11.

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 0:3.0.11-1mdv2010.0
+ Revision: 385514
- New version 3.0.11
- update firefox.desktop with our own translation

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for gcc-4.4.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0:3.0.10-1mdv2010.0
+ Revision: 369503
- New version 3.0.10

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.0.8-1mdv2009.1
+ Revision: 361836
- new version 3.0.8

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.7-1mdv2009.1
+ Revision: 354017
- 3.0.7

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0:3.0.6-1mdv2009.1
+ Revision: 336982
- New version 3.0.6

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - obsoletes for upgrades from older distro versions:
      . obsolete latest Firefox 2 version (2.0.0.19)
      . obsolete kdeff theme, which only works with Firefox 2
    - automate subrel definition when building for older distros
    - prepare firefox 3 to build on older distro versions too

* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.5-2mdv2009.1
+ Revision: 317704
- build with %%setup_compile_flags

  + Funda Wang <fwang@mandriva.org>
    - New version 3.0.5
    - rediff lang.patch, vendor.patch

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - reduce chance of errors by hardcoding the right values

* Thu Nov 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.0.4-1mdv2009.1
+ Revision: 302922
- Obsolete new old mozilla-firefox 2.x versions
- adding big banner to the spec, to prevent people from messing it up

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.0.4
    - update to firefox 3.1-beta1

* Mon Sep 29 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.3-2mdv2009.0
+ Revision: 289827
- do not show EULA
- bump release

* Sat Sep 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.3-1mdv2009.0
+ Revision: 288944
- update to new version 3.0.3

* Fri Sep 26 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.2-2mdv2009.0
+ Revision: 288649
- add strict version requires to xulrunner (#44255)
- bump release

* Thu Sep 25 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.2-1mdv2009.0
+ Revision: 288006
- version 3.0.2

* Thu Sep 04 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-10mdv2009.0
+ Revision: 280885
- suggest nspluginwrapper
- bump release

* Tue Sep 02 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-9mdv2009.0
+ Revision: 279062
- obsolete old libmozilla-firefox by using %%mklibname
- bump release
- enable BUILD_OFFICIAL and MOZILLA_OFFICIAL

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-8mdv2009.0
+ Revision: 273430
- obsoleting all libmozilla-firefox2.0.0.x manually
- bump release

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-7mdv2009.0
+ Revision: 273279
- disabling auto selection theme patch

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-6mdv2009.0
+ Revision: 273216
- removing suggests to firefox-theme-kde4ff.
- bump release
- add Obsoletes to the old libmozilla-firefox

* Mon Aug 11 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-5mdv2009.0
+ Revision: 270873
- fixing i18n for menu entries. (desktop file from fedora)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - bump tag
    - drop patches 0,8,9,10,11,13 as these are xulrunner specific
    - build with system wide nspr and nss libraries

* Wed Aug 06 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-4mdv2009.0
+ Revision: 265033
- create and own %%_libdir/mozilla/plugins
- Remove requires for myspell packages as they will be suggested in l10n packages (#42304)
- add suggests to myspell-en_US
- bump release

* Fri Aug 01 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-3mdv2009.0
+ Revision: 260092
- do not conflict with mozilla-firefox-theme-kdeff. firefox-theme-kde4ff will obsolete it.
- add patch to disable classic theme auto selection.
- add suggests tag to kde4ff theme
- bump release
- moving firefox3.desktop to firefox.desktop

* Wed Jul 30 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-2mdv2009.0
+ Revision: 256402
- changing ff3 to use xulrunner1.9
- dropping ff libification
- obsoleting libfirefox3 and mozilla-firefox 2 package
- renaming wrapper scripts to firefox and mozilla-firefox
- add patch to remove update option from help menu
- bump release

  + Funda Wang <fwang@mandriva.org>
    - use internal sqlite for previous releases

  + Frederik Himpe <fhimpe@mandriva.org>
    - Starting from Firefox 3.0.1, at least sqlite 3.5.9 is needed, so on
      Mandriva older than 2009.0 use the included sqlite library instead
      of the system wide one

* Mon Jul 21 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-1mdv2009.0
+ Revision: 239495
- Remove networkmanager and sqlite pacthes as they are upstream now.
- add Requires to mailcap. Fixes bug #42096
- add ask.com search engine
- change search engines menu order
- bump release
- Changing old firefox 2 description to a new one.
- bump release (0.b5.2mdv)
- fixing libdir for plugins
- renaming startup script to firefox3
- adding Requires to libfirefox3 on firefox3 package
- changing desktop file to point to firefox3
- fix wrong plugins directory.
- Disabling broken patches.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - no more branches, move firefox to its own svn place
    - update to new version 3.0.1
    - do not strip debug symbols so the debug package is not empty
    - Patch13: use the correct restart command for session managers (plugins are not being loaded after user login)
    - try to use jemalloc instead of malloc, as it can help reduce memory fragmentation
    - enable java build, add buildrequires on java-rpmbuild
    - provide better description
    - let's try compile firefox with enabled strict aliasing
    - don't pass our %%optflags for --enable-optimize
    - Patch12: ignore NetworkManager status (upstream mozilla bug #424626)
    - update to new release 3.0
    - update to new release candidate rc3
    - update to new release candidate rc2
    - add missing build requires on gnome stuff (handle mime-types #41201)
    - add build requires on doxygen
    - do not install buildrequires for nss-devel and nspr-devel because ff3 uses its own (for now)
    - hunspell handles now dictionaries, no need to create a symlinks for them
    - set pref browser.tabs.loadDivertedInBackground (more infos at bug #25009)
    - disable crashreporter, and drop buildrequires on curl-devel
    - fix file list
    - Patch0: try better solution of get the mozilla plugins path (work in progress)
    - Patch10: do not use firefox's own libIDL
    - Patch11: hopefully fix compiling against system-wide hunspell
    - do not build crashreporter tool
    - enable all image encoders
    - enable default extensions
    - enable hunspell support (it is in main now)
    - use %%serverbuild macro
    - add cache files
    - disable hunspell because it is in contrib :(
    - enable system-wide hunspell support
    - use system-wide dictionaries
    - requires desktop-file-utils
    - drop patch 10, set preferences into spec file
    - add search engines
    - add firefox-rebuild-databases.pl tool
    - enable Mandriva specific bookmarks
    - add Mandriva specific settings
    - disable EULA popup
    - regenerate certificates
    - disable native uconv (really fixes #40944)
    - re-enable Xft support
    - drop requires on icu and buildrequires on icu-devel (useless)
    - Patch10: various firefox preferences
      o disable firefox update
      o enable smooth scroll
      o use system colors
      o enable http pipelining
    - add buildrequires on icu-devel (#40944)
    - Patch8: completely re-done patch, get the MAXPATHLEN from glibc rather than hardcoding (fixes buffer overflow #41102)
    - Patch9: remove -WConversion, this silences gcc output
    - Patch8: fix exePath lenght to prevent firefox crash
    - disable Xft as it sometimes renders bad fonts (# 40944)
    - don not ise system-wide nspr and nss libraries, because they were not updated yet
    - fix file list
    - fix desktop file
    - drop the mozilla prefix from the name
    - enable sqlite support
    - new version
    - backport few patches from firefox2
    - add source and spec file

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Versioning sqlite BuildRequires.
    - Don't force expanded %%{optflags} in CFLAGS.

  + Thierry Vignaud <tv@mandriva.org>
    - devel package needs the library
    - fix 'empty-%%post(|un)' error (rpm filetriggers deprecates update_menus &
      update_desktop_database)
    - stop packaging useless OS/2 & build doc as well as CVS directories
    - RC1
    - patch 7: fix testing for sqlite >= 3.5.4 that fails with sqlite-3.5.7

